[Fix] Make installation less restrictive when NVM_DIR is set
diff --git a/install.sh b/install.sh
index a9c9c16..a0d2863 100755
--- a/install.sh
+++ b/install.sh
@@ -304,8 +304,17 @@
 
 nvm_do_install() {
   if [ -n "${NVM_DIR-}" ] && ! [ -d "${NVM_DIR}" ]; then
-    echo >&2 "You have \$NVM_DIR set to \"${NVM_DIR}\", but that directory does not exist. Check your profile files and environment."
-    exit 1
+    if [ "${NVM_DIR}" == "$HOME/.nvm" ]; then
+      if [ -e "${NVM_DIR}" ]; then
+        echo >&2 "File \"${NVM_DIR}\" has the same name as installation directory."
+        exit 1
+      else
+        mkdir "${NVM_DIR}"
+      fi
+    else
+      echo >&2 "You have \$NVM_DIR set to \"${NVM_DIR}\", but that directory does not exist. Check your profile files and environment."
+      exit 1
+    fi
   fi
   if [ -z "${METHOD}" ]; then
     # Autodetect install method